Skip to main content
GET
/
exchange
/
api
/
v1
/
trader_updates
Get Trader Update History
curl --request GET \
  --url https://api.example.com/exchange/api/v1/trader_updates
{
  "nextGlobalOrdinal": 123,
  "value": [
    {
      "globalOrdinal": 123,
      "epochId": 123,
      "reason": 0,
      "traderAddress": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "txOrdinal": 123,
      "ordinal": 123,
      "withdrawDdxRejection": 0,
      "amount": "<string>",
      "newAvailDdxBalance": "<string>",
      "newLockedDdxBalance": "<string>",
      "payFeesInDdx": true,
      "blockNumber": 123,
      "txHash": "<string>"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

reason
enum<integer>

The type of trader update. Multiple trader update values can be provided. Values include: 0: Deposit - DDX was deposited on-chain, 1: WithdrawDDX - DDX withdrawal was claimed on-chain, 2: WithdrawDDXIntent - DDX was locked for withdrawal, 3: TradeMiningReward - DDX was rewarded for participation in trade mining, 4: ProfileUpdate - DDX fee preferences were changed, 5: FeeDistribution - DDX was rewarded for participation as a custodian during checkpointing, 6: Admission - Trader is allowed access to the platform due to KYC (re-)approval, unbanning, or other reasons. 7: Denial - Trader is denied access to the platform due to KYC blacklist, expiration, or other reasons. 8: Fee - Fees were charged in DDX from trade fills. 9: WithdrawDDXRejection - Withdraw DDX rejection.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
limit
integer
default:500

The number of rows to return

globalOrdinal
integer

The global ordinal boundary used when fetching the next timeseries page.

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc

Response

trader update data

Successful response for the Trader Update API

nextGlobalOrdinal
number | null
required

Pointer for the global ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026